<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Mixing</TITLE>
<link href="builder_25.html" rel=Next>
<link href="builder_23.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_23.html">previous</A>, <A HREF="builder_25.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC55" HREF="builder_toc.html#TOC55">Using Existing SUIF Code</A></H1>
<P>
<A NAME="IDX133"></A>
<A NAME="IDX134"></A>
<A NAME="IDX135"></A>
<A NAME="IDX136"></A>
<A NAME="IDX137"></A>
<A NAME="IDX138"></A>
One of the major uses of the builder is to modify existing SUIF
code. In order to modify SUIF code, the builder has to incorporate
SUIF structures into it's <CODE>block</CODE>s. All the major SUIF
structures can be assigned to <CODE>block</CODE>. These SUIF structures are
<CODE>instruction</CODE>, <CODE>operand</CODE>, <CODE>tree_node</CODE> and
<CODE>tree_node_list</CODE>. The builder will treat these structures as black
boxes. And when generating back the SUIF code, the blocks with
SUIF structures will be incorporated into the resulting code.
See section <A HREF="builder_39.html#SEC72">Incorporating Existing SUIF When Building New Structures</A> for a detailed list of builder functions
that can be used to incorporate SUIF in to builder.

</P>

<UL>
<LI><A HREF="builder_25.html#SEC56">Mixing example</A>: Example
<LI><A HREF="builder_26.html#SEC57">Cloning</A>: Cloning of SUIF structures
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_23.html">previous</A>, <A HREF="builder_25.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
